package com.caimei.service.auth;


import com.caimei.model.ResponseJson;
import com.caimei.model.po.CmBrandBannerPo;
import com.caimei.model.po.CmBrandDoctorPo;

import java.util.List;
import java.util.Map;

/**
 * cm_brand_auth
 *
 * @author : Kaick
 * @date : 2023/3/23
 */
public interface BannerService {
    /**
     * 添加/编辑首页Banner
     * @param bannerPo
     * @return
     */
    ResponseJson saveBanner(CmBrandBannerPo bannerPo);
    /**
     * 按照供应商id查看
     * @param authUserId
     * @return
     */
    ResponseJson getBanner(Integer authUserId);

    /**
     * 按照供应商id修改
     * @param bannerPo
     * @return
     */
    ResponseJson setBanner(CmBrandBannerPo bannerPo);
    /**
     * 按照供应商id删除
     * @param authUserId
     * @return
     */
    ResponseJson deleteBanner(Integer authUserId);

}
